| Flutter macOS Embedder |

Instance Methods | List of all members
FlutterPlatformViewController Class Reference

`#import <FlutterPlatformViewController.h>`

Inheritance diagram for FlutterPlatformViewController:

## Instance Methods
(void) | - onCreateWithViewIdentifier:viewType:arguments:result:`[implementation]`
(void) | - onDisposeWithViewID:result:`[implementation]`
(nullable NSView *) | - platformViewWithID:`[implementation]`
(void) | - registerViewFactory:withId:`[implementation]`
(void) | - handleMethodCall:result:`[implementation]`
(void) | - disposePlatformViews`[implementation]`
(void) | - reset`[implementation]`

## Detailed Description

Definition at line 17 of file FlutterPlatformViewController.h.

## Method Documentation

## ◆ disposePlatformViews

- (void) disposePlatformViews |  |  |
| implementation

Removes platform views slated to be disposed via method handler calls.

## ◆ handleMethodCall:result:

- (void) handleMethodCall: |  | (nonnull FlutterMethodCall *) | call
result: |  | (nonnull FlutterResult) | result
| implementation

Handles platform view related method calls, for example create, dispose, etc.

## ◆ onCreateWithViewIdentifier:viewType:arguments:result:

- (void) onCreateWithViewIdentifier: |  | (int64_t) | viewId
viewType: |  | (nonnull NSString *) | viewType
arguments: |  | (nullable id) | args
result: |  | (nonnull FlutterResult) | result
| implementation

Creates a platform view of viewType with viewId and arguments passed from the framework's creationParams constructor parameter. FlutterResult is updated to contain nil for success or to contain a FlutterError if there is an error.

## ◆ onDisposeWithViewID:result:

- (void) onDisposeWithViewID: |  | (int64_t) | viewId
result: |  | (nonnull FlutterResult) | result
| implementation

Disposes the platform view with `viewId`. FlutterResult is updated to contain nil for success or a FlutterError if there is an error.

## ◆ platformViewWithID:

- (nullable NSView*) platformViewWithID: |  | (int64_t) | viewId |
| implementation

Returns the platform view associated with the viewId.

## ◆ registerViewFactory:withId:

- (void) registerViewFactory: |  | (nonnull NSObject< FlutterPlatformViewFactory > *) | factory
withId: |  | (nonnull NSString *) | factoryId
| implementation

Register a view factory by adding an entry into the platformViewFactories map with key factoryId and value factory.

## ◆ reset

- (void) reset |  |  |
| implementation

Removes all platform views.

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterPlatformViewController.h